@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&family=Ubuntu:wght@300;400;500;700&display=swap');

*{
    box-sizing: border-box;
}

body{
    
    margin: 0;
    background-blend-mode: multiply;
    background-image: linear-gradient(190deg, #248a8a, #330867);
    background-size: cover;
    background-color: rgba(0, 0, 0, 0.7);
    min-height: 100vh;
}

nav{
    z-index: 1;
}

button{
    background: transparent;
    border: 0;
    padding: 0;
    cursor: pointer;
}

.sidebar{
    position: absolute;
    overflow: hidden;
    top: 0;
    left: 0;
    width: 75px;
    height: 100%;
    background-image: linear-gradient(125deg, #248a8a, #330867);
    transition: all 0.4s;
}

body.open .sidebar{
    width: 240px;
    display: grid;
}

.sidebar-inner{
    position: absolute;
    top: 0;
    left: 0;
    width: 300px;
}

.sidebar-header{
    display: flex;
    align-items: center;
    height: 68px;
    padding: 0 1.25rem 0 0;
    background: rgba(0, 0, 0, 0.1);
    border-left: 3px solid transparent;
    transition: all 0.4s;
}

.sidebar-header:hover{
    border-left: 3px solid #bdbdbd;
}

.sidebar-burger{
    width: 70px;
    height: 70px;
    display: grid;
    place-items: center;
}

.sidebar-burger > i, body.open .sidebar-burger > i{
    font-size: 25px;
    color: #f9f9f9;
    transition: all 0.4s;
}

.sidebar-burger:hover > i, body.open .sidebar-burger:hover > i{
    color: #bdbdbd;
}

.sidebar-logo{
    height: 60px;
    opacity: 0;
    transition: all 0.4s;
    margin-left: 25px;
}

body.open .sidebar-logo{
    opacity: 1;
    transition: all 0.4s;
}

.sidebar-menu{
    display: grid;
}

.sidebar-menu > button{
    display: flex;
    gap: 12px;
    align-items: center;
    height: 55px;
    font-family: "Ubuntu";
    font-size: 16px;
    font-weight: 400;
    letter-spacing: 2px;
    line-height: 1;
    padding: 0 22px;
    border-left: 3px solid transparent;
    transition: all 0.4s;
}

.sidebar-menu > button:hover{
    border-left: 3px solid #f9f9f9;
}

.sidebar-menu > button.has-border{
    padding-bottom: 1rem;
    border-bottom: 1px solid rgba(255, 255, 255, 0.12);
    margin-bottom: 1rem;
}

.sidebar-menu > button > i{
    font-size: 25px;
    color: #f9f9f9;
    transition: all 0.4s;
}

.sidebar-menu > button:hover > i, .sidebar-menu > button:hover > span{
    color: #bdbdbd;
}

.sidebar-menu > button > span{
    color: #f9f9f9;
    opacity: 0;
    transition: all 0.4s;
}

body.open .sidebar-menu > button > span{
    opacity: 1;
    transition: all 0.4s;
}

main{
    z-index: 0;
}

.gradient_button{
    border: 2px solid rgb(255, 255, 255);
    border-radius: 100px;
    text-decoration: none;
    color: inherit;
    position: relative;
    padding: 18px;
    transition: all 0.2s ease;
    float: right;

}

.gradient_button::before{
    
    content: '';
    position: absolute;
    background-image: linear-gradient(125deg, #30cfd0, #330867);
    width: 56px;
    height: 56px;
    border-radius: 28px;
    top: 0;
    left: 0;
    display: block;
    transition: all 0.3s ease;
}

.gradient_button:after{
    
    content: '';
    position: absolute;
    background-image: linear-gradient(125deg, #30cfd0, #330867);
    width: 56px;
    height: 56px;
    transform: translateY(30px) scale(0.9);
    border-radius: 28px;
    bottom: 0;
    left: 0;
    filter: blur(35px);
    transition: all 0.3s ease;
    
}

.gradient_button span{
    font-family: "Poppins", sans-serif;
    margin-left: 12px;
    position: relative;
    font-size: 100%;
    line-height: 18px;
    font-weight: 900;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    vertical-align: middle;
    color: #fff;
    transition: all 0.7s ease;
}

.gradient_button:hover span{
    position: relative;
    font-size: 16px;
    line-height: 18px;
    font-weight: 900;
    letter-spacing: 0.05em;
    text-transform: uppercase;
    vertical-align: middle;
    color: rgb(0, 0, 0);
}

.gradient_button svg{
    position: relative;
    margin-left: 7px;
    fill: none;
    stroke-linecap: round;
    stroke-linejoin: round;
    stroke: #fff;
    stroke-width: 2;
    transform: translateX(-5px);
    transition: all 0.7s ease;
}

.gradient_button:hover:before{
    width: 100%;
    background-image: linear-gradient(125deg, #30cfd0, #330867);
    transition: all 0.5s;
}

.gradient_button:hover:after{
    width: 100%;
    background-image: linear-gradient(125deg, #30cfd0, #330867);
    transition: all 0.5s;
}

.gradient_button:hover svg{
    transform: translateX(10px);
    stroke: black;
}

.gradient_button:active{
    transform: scale(1);
}